using System;
using System.Data;
using System.Windows.Forms;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.ComponentModel.Design;
using System.Drawing.Design;
using System.Windows.Forms.Design;

namespace DataGridColumnStyleDesigner
{
	/// <summary>
	/// Summary description for MyDataGridTableStyle.
	/// </summary>
	public class MyDataGridTableStyle : DataGridTableStyle
	{
		[Editor(typeof(MyGridColumnStylesCollectionEditor), typeof(UITypeEditor))]
		public new GridColumnStylesCollection GridColumnStyles
		{
			get {return base.GridColumnStyles;}
		}

		protected override DataGridColumnStyle CreateGridColumn(PropertyDescriptor prop, bool isDefault)
		{
			return base.CreateGridColumn(prop, isDefault);
		}

		private class MyGridColumnStylesCollectionEditor : CollectionEditor
		{
			public MyGridColumnStylesCollectionEditor(Type type) : base(type)
			{
			}

			protected override System.Type[] CreateNewItemTypes()
			{
				return new Type[] {
									  typeof(MyNoEditTextBoxColumn),
									  typeof(DataGridTextBoxColumn),
									  typeof(DataGridBoolColumn)
								  }; 
			} 
		} 
	}
}
